# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

Name:           Agda-stdlib
Version:        0.6
# only reset if agda-lib-ffi also bumped
Release:        4%{?dist}
Summary:        Agda standard libraries

Group:          Development/Libraries
License:        MIT
URL:            http://wiki.portal.chalmers.se/agda/agda.php?n=Libraries.StandardLibrary
Source0:        http://www.cse.chalmers.se/~nad/software/lib-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  Agda

%description
Agda standard libraries


%package docs
Summary:        Agda standard libraries documentation
BuildArch:      noarch

%description docs
This package provides the html documentation for the stdlibs
generated by the Agda compiler program.


%global stdlib_version %{version}
%ghc_lib_subpackage agda-lib-ffi 0.0.1
%global version %{stdlib_version}


%global debug_package %{nil}


%prep
%setup -q -n lib-%{version}


%build
HOME=$PWD
cd ffi
%define cabal_configure_options --user
%ghc_lib_build agda-lib-ffi 0.0.1
cd ..
agda -i. -isrc Everything.agda

agda --html -i. -isrc README.agda


%install
HOME=$PWD
cd ffi
%ghc_lib_install agda-lib-ffi 0.0.1
./Setup register --inplace
mv *.files ..
cd ..

mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr Everything.agda* src/* %{buildroot}%{_datadir}/%{name}

rm README.agdai README/*.agdai


%files 
%doc LICENCE release-notes README*
%{_datadir}/%{name}


%files docs
%doc LICENCE html


%changelog
* Thu Jul 12 2012 Jens Petersen <petersen@redhat.com> - 0.6-4
- move stdlib files to datadir
- subpackage html docs

* Wed Jul 11 2012 Jens Petersen <petersen@redhat.com> - 0.6-3
- subpackage agda-lib-ffi for MAlonzo backend

* Wed Jul 11 2012 Jens Petersen <petersen@redhat.com> - 0.6-2
- fix the manifest to include the libraries
- add html
- turn off debuginfo
- remove README interface files

* Wed Jul 11 2012 Jens Petersen <petersen@redhat.com> - 0.6-1
- update to 0.6

* Sat Jun  4 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- initial packaging for Fedora automatically generated by cabal2spec-0.23
